%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           kbibtex
Version:        0.10.0
Release:        %mkrel 6
Summary:        A BibTeX editor for KDE
Group:          Editors
License:        GPLv2+
URL:            https://apps.kde.org/kbibtex/
Source0:        https://download.kde.org/stable/KBibTeX/%{version}/%{name}-%{version}.tar.xz
Patch0:         fix-icu-75.patch
BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5NetworkAuth)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5TextEditor)

BuildRequires:  pkgconfig(poppler-qt5)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(qoauth-qt5)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(shared-mime-info)

Requires:       qca-qt5
Requires:       qtwebengine5

%description
KBibTeX is a BibTeX editor for KDE.

%package -n %{develname}
Summary:        Development files for KBibTeX
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for KBibTeX.

%package -n %{libname}
Summary:        Library files for KBibTeX
Group:          System/Libraries

%description -n %{libname}
Library files for KBibTeX.

%prep
%autosetup -p1

%build
%cmake_kf5 -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebKitWidgets=ON
%cmake_build

%install
%cmake_install

%find_lang %name --with-html --with-man

%files -f %name.lang
%doc README.md ChangeLog
%license LICENSE
%{_kf5_categoriesdir}/%{name}.categories
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/mime/packages/*.xml
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/kxmlgui5/kbibtexpart/
%{_kf5_services}/*.desktop
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_mandir}/man1/%{name}.1.*
%{_qt5_plugindir}/kbibtexpart.so

%files -n %{libname}
%{_kf5_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/KBibTeX/
%{_kf5_libdir}/cmake/KBibTeX/
%{_kf5_libdir}/*.so


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.10.0-6.mga10
+ Revision: 2233822
- Mageia 10 Mass Rebuild

* Sun Jan 12 2025 daviddavid <daviddavid> 0.10.0-5.mga10
+ Revision: 2138490
- add opensuse patch to fix build with icu >= 75
+ wally <wally>
- rebuild for icu 76.1

* Tue Oct 10 2023 daviddavid <daviddavid> 0.10.0-4.mga10
+ Revision: 1994126
- rebuild for icu73

* Thu Mar 23 2023 daviddavid <daviddavid> 0.10.0-3.mga9
+ Revision: 1950208
- set 'CMAKE_DISABLE_FIND_PACKAGE_Qt5WebKitWidgets' to ON in cmake build option

* Thu Mar 23 2023 daviddavid <daviddavid> 0.10.0-2.mga9
+ Revision: 1950182
- drop no more needed by the project Qt5WebKit build dependency

* Mon Mar 20 2023 daviddavid <daviddavid> 0.10.0-1.mga9
+ Revision: 1949768
- new version: 0.10.0

* Mon Jan 23 2023 daviddavid <daviddavid> 0.9.3.1-1.mga9
+ Revision: 1935227
- new version: 0.9.3.1

* Sat Jan 07 2023 squidf <squidf> 0.9.2-8.mga9
+ Revision: 1931127
- Mass rebuild for icu 72.1

* Sat Jun 18 2022 squidf <squidf> 0.9.2-7.mga9
+ Revision: 1864862
- rebuild for icu 71.1

* Wed Apr 06 2022 umeabot <umeabot> 0.9.2-6.mga9
+ Revision: 1846150
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 0.9.2-5.mga9
+ Revision: 1738934
- rebuild for icu

* Thu Dec 17 2020 umeabot <umeabot> 0.9.2-4.mga8
+ Revision: 1658646
- Rebuild for new Qt5

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.9.2-3.mga8
+ Revision: 1650891
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 0.9.2-2.mga8
+ Revision: 1601030
- rebuild for icu 67.1

* Mon Apr 27 2020 daviddavid <daviddavid> 0.9.2-1.mga8
+ Revision: 1572385
- new version: 0.9.2

* Sat Apr 04 2020 wally <wally> 0.9.1-3.mga8
+ Revision: 1564466
- rebuild for new icu 66.1

* Tue Feb 18 2020 umeabot <umeabot> 0.9.1-2.mga8
+ Revision: 1538298
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Nov 18 2019 daviddavid <daviddavid> 0.9.1-1.mga8
+ Revision: 1461648
- new version: 0.9.1

* Sat Oct 05 2019 daviddavid <daviddavid> 0.9-2.mga8
+ Revision: 1449456
- rebuild for new icu 65.1

* Sun Jun 30 2019 daviddavid <daviddavid> 0.9-1.mga8
+ Revision: 1416379
- new version: 0.9

* Sat Mar 30 2019 umeabot <umeabot> 0.8.2-2.mga7
+ Revision: 1382081
- Qt5 Rebuild

* Sun Jan 06 2019 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1350031
- new version: 0.8.2

* Tue Oct 09 2018 pterjan <pterjan> 0.8.1-4.mga7
+ Revision: 1318926
- Rebuild for new icu on aarch64

* Sat Sep 08 2018 wally <wally> 0.8.1-3.mga7
+ Revision: 1257792
- rebuild for new libqoauth-qt5 soname

* Mon Aug 27 2018 daviddavid <daviddavid> 0.8.1-2.mga7
+ Revision: 1255063
- rebuild for new icu

* Fri Jun 22 2018 daviddavid <daviddavid> 0.8.1-1.mga7
+ Revision: 1238852
- new version: 0.8.1

* Sat Jun 09 2018 daviddavid <daviddavid> 0.8-0.git20180527.1.mga7
+ Revision: 1235605
- new version: 0.8 git20180527 (official 'unstable' release based on Kf5)
- now libmajor is 0
- remove no more needed patches

* Fri Dec 29 2017 wally <wally> 0.8-0.git20161220.3.mga7
+ Revision: 1186980
- rebuild for new icu

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.8-0.git20161220.2.mga7
+ Revision: 1093089
- Rebuild for icu-58.2

* Tue Dec 27 2016 daviddavid <daviddavid> 0.8-0.git20161220.1.mga6
+ Revision: 1078178
- new version: 0.8 git20161220 (first snapshot based on Kf5)
- port to Kf5/Qt5
- now libmajor is 0.8

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.6-6.mga6
+ Revision: 1070628
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.6-5.mga6
+ Revision: 1046184
- test rebuild for poppler

* Mon Apr 11 2016 daviddavid <daviddavid> 0.6-4.mga6
+ Revision: 1000197
- add patch1 from upstream to fix ARM build
  * https://bugs.kde.org/show_bug.cgi?id=353898

* Fri Feb 19 2016 umeabot <umeabot> 0.6-3.mga6
+ Revision: 969572
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 fwang <fwang> 0.6-2.mga6
+ Revision: 870936
- br qoauth

* Sat Aug 29 2015 fwang <fwang> 0.6-1.mga6
+ Revision: 870923
- do not promote soversion for modules
- update file list
- 0.6
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 malo <malo> 0.5.1-1.mga5
+ Revision: 673407
- fix RPM group
- libify
- update to 0.5.1

* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-3.mga4
+ Revision: 506560
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 355828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 306920
- new version 0.4.1

* Wed Jun 13 2012 fwang <fwang> 0.4-2.mga3
+ Revision: 260187
- rebuild for new poppler

* Sun Feb 12 2012 malo <malo> 0.4-1.mga2
+ Revision: 208221
- typo in BR
- add patch from upstream to fix missing include build failure
- trying without parallel build.
- spec clean-up after import from Mandriva (thanks to Funda and tpg)
- imported package kbibtex


* Sat Nov 26 2011 Funda Wang <fwang@mandriva.org> 0.4-1
+ Revision: 733538
- update file list
- there is no lang files
- new version 0.4

* Thu Jun 02 2011 Funda Wang <fwang@mandriva.org> 0.3-1
+ Revision: 682441
- new verison 0.3

* Sun May 01 2011 Funda Wang <fwang@mandriva.org> 0.3-0.beta2.1
+ Revision: 661259
- import kbibtex


* Tue Jan 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-1mdv2007.0
+ Revision: 112281
- Import kbibtex

